# MillisecondsDurationProperty (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.config, class: MillisecondsDurationProperty

Package io.dapr.config

# Class MillisecondsDurationProperty

java.lang.Object
io.dapr.config.Property<Duration>
io.dapr.config.MillisecondsDurationProperty

public class MillisecondsDurationProperty extends Property<Duration>
Integer configuration property.

## Method Summary

Modifier and Type
Method
Description
`protected Duration`
`parse(String value)`
Parses the value to the specific type.

### Methods inherited from class io.dapr.config.Property

`get, get, getEnvName, getName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### parse

protected Duration parse(String value)
Parses the value to the specific type.

Specified by:
  `parse` in class `Property<Duration>`
Parameters:
  `value` - String value to be parsed.
Returns:
  Value in the specific type.